## gdkvulkancontext gdkvulkancontext |

## Functions

VkDevice | gdk_vulkan_context_get_device ()
uint32_t | gdk_vulkan_context_get_draw_index ()
VkSemaphore | gdk_vulkan_context_get_draw_semaphore ()
VkImage | gdk_vulkan_context_get_image ()
VkFormat | gdk_vulkan_context_get_image_format ()
VkInstance | gdk_vulkan_context_get_instance ()
uint32_t | gdk_vulkan_context_get_n_images ()
VkPhysicalDevice | gdk_vulkan_context_get_physical_device ()
VkQueue | gdk_vulkan_context_get_queue ()
uint32_t | gdk_vulkan_context_get_queue_family_index ()

## Types and Values

| GdkVulkanContext

## Includes

    #include <gdk/gdk.h>

## Description

## Functions

### gdk_vulkan_context_get_device ()

    VkDevice
    gdk_vulkan_context_get_device (GdkVulkanContext *context);

### gdk_vulkan_context_get_draw_index ()

    uint32_t
    gdk_vulkan_context_get_draw_index (GdkVulkanContext *context);

### gdk_vulkan_context_get_draw_semaphore ()

    VkSemaphore
    gdk_vulkan_context_get_draw_semaphore (GdkVulkanContext *context);

### gdk_vulkan_context_get_image ()

    VkImage
    gdk_vulkan_context_get_image (GdkVulkanContext *context,
                                  guint id);

### gdk_vulkan_context_get_image_format ()

    VkFormat
    gdk_vulkan_context_get_image_format (GdkVulkanContext *context);

### gdk_vulkan_context_get_instance ()

    VkInstance
    gdk_vulkan_context_get_instance (GdkVulkanContext *context);

### gdk_vulkan_context_get_n_images ()

    uint32_t
    gdk_vulkan_context_get_n_images (GdkVulkanContext *context);

### gdk_vulkan_context_get_physical_device ()

    VkPhysicalDevice
    gdk_vulkan_context_get_physical_device
                                   (GdkVulkanContext *context);

### gdk_vulkan_context_get_queue ()

    VkQueue
    gdk_vulkan_context_get_queue (GdkVulkanContext *context);

### gdk_vulkan_context_get_queue_family_index ()

    uint32_t
    gdk_vulkan_context_get_queue_family_index
                                   (GdkVulkanContext *context);

## Types and Values

### GdkVulkanContext

    typedef struct _GdkVulkanContext GdkVulkanContext;